Bug 178053 - Code is not properly formatted
Code is not properly formatted
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Editor
6.x
PC Windows XP
: P2 (vote)
: 6.x
Assigned To: Anton Chechel
issues@javafx
68patch1-verified
:
Depends on:
Blocks: 173487
  Show dependency treegraph
 
Reported: 2009-12-03 02:20 UTC by Alexandr Scherbatiy
Modified: 2010-01-26 03:29 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandr Scherbatiy 2009-12-03 02:20:44 UTC
Build: NetBeans-JavaFX-Soma  #54   Dec 3, 2009 12:00:35 AM


  Product Version         = NetBeans IDE 6.8 RC1 (Build 200911252200) (#3c4d4f8d3d55)
  Operating System        = Windows XP version 5.1 running on x86
  Java; VM; Vendor        = 1.6.0_15; Java HotSpot(TM) Client VM 14.1-b02; Sun Microsystems Inc.


Steps to reproduce:
- Format the code:
----------------------------------------------
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.text.Text;
import javafx.scene.text.Font;
import javafx.scene.control.Button;

 
Stage {
    title: "Application title"
        scene: Scene {
        width: 250
        height: 80
        content: [
            Button {
                text: "Button"
                action: function () {
                }
            }
            Text {
                font: Font { size: 16 }
                x: 10
                y: 30
                content: "Application content"
                }
        ]
    }
}
----------------------------------------------

The result is:
----------------------------------------------
Stage {
    title: "Application title"
             scene: Scene {      // <-- Shifted line
        width: 250
        height: 80
        content: [
            Button {
                text: "Button"
                         action: function () {  // <-- Shifted line
                }
            }
            Text {
                font: Font {size: 16}
                x: 10
                y: 30
                content: "Application content"
                        }                    // <-- Shifted line
        ]
    }
}----------------------------------------------
Comment 1 Anton Chechel 2009-12-09 10:43:39 UTC
fixed
http://hg.netbeans.org/javafx/rev/8bcc5713fd36
Comment 2 Alexandr Scherbatiy 2009-12-10 06:07:44 UTC
verified in NetBeans-JavaFX-Soma: #61
Comment 3 Petr Suchomel 2010-01-15 03:48:39 UTC
Fixed in release68_fixes
http://hg.netbeans.org/javafx/rev/49d31c725fed
Comment 4 Alexandr Scherbatiy 2010-01-26 03:29:06 UTC
Verified in NB 6.8 patch1 2010-01-25_21-27-59


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo